## org-mode 7.9.2

=== Makefile ===
# Makefile - for the org-mode distribution
# GNU make is required
#
# This file is not part of GNU Emacs

# set up environment
 include mk/default.mk	# defaults, customizable via "local.mk"
-include local.mk	# optional local customization, use default.mk as template

# default target is "all" unless overridden in local.mk
all::

# Describe valid make targets for org-mode.
.PHONY:	targets help helpall
targets:	help
help helpall::
	$(info )
	$(info Getting Help)
	$(info ============)
	$(info )
	$(info make help           - show brief help)
	$(info make targets        - ditto)
	$(info make helpall        - show extended help)
	$(info )
	$(info Build and Check)
	$(info ===============)
	$(info make                - build Org ELisp and all documentation)
	$(info make all            - ditto)
	$(info make compile        - build Org ELisp files)
	$(info make single         - build Org ELisp files, single Emacs per source)
	$(info make autoloads      - create org-install.el to load Org in-place)
	$(info make test           - build Org ELisp files and run test suite)
helpall::
	$(info make test-dirty     - check without building first)
	$(info make compile-dirty  - build only stale Org ELisp files)
	$(info )
	$(info Compatibility)
	$(info =============)
	$(info make oldorg         - what the old make did: compile autoloads info)
	$(info )
	$(info Cleaning)
	$(info ========)
	$(info make clean          - remove built Org ELisp files and documentation)
	$(info make cleanall       - remove everything that can be built and all remnants)
	$(info make clean-install  - remove previous Org installation)
	$(info )
	$(info Configuration Check)
	$(info ===================)
help helpall::
	$(info make config         - check main configuration)
helpall::
	$(info make config-version - check Org version)
	$(info make config-test    - check test configuration)
	$(info make config-exe     - check executables configuration)
	$(info make config-cmd     - check command configuration)
	$(info make config-all     - check all configuration)
	$(info )
	$(info Documentation)
	$(info =============)
help helpall::
	$(info make doc            - build all documentation)
helpall::
	$(info make docs           - ditto)
help helpall::
	$(info make info           - build Info documentation)
helpall::
	$(info make html           - build HTML documentation)
	$(info make pdf            - build PDF documentation)
	$(info make card           - build reference cards)
	$(info make refcard        - ditto)
help helpall::
	$(info )
	$(info Installation)
	$(info ============)
	$(info make install        - build and install Org)
helpall::
	$(info make install-etc    - build and install files in /etc)
	$(info make install-lisp   - build and install Org Elisp files)
	$(info make install-info   - build and install Info documentation)
	$(info )
	$(info Convenience)
	$(info ===========)
	$(info make up0            - pull from upstream)
	$(info make up1            - pull from upstream, build and check)
	$(info make up2            - pull from upstream, build, check and install)
	$(info make update         - pull from upstream and build)
	$(info make update2        - pull from upstream, build and install)
	$(info make uncompiled     - combine cleanlisp and autoloads)
	$(info make local.mk       - create new local.mk as template for adaptation)
help helpall::
	$(info )
	$(info Full documentation on Worg)
	$(info ==========================)
	$(info http://orgmode.org/worg/dev/org-build-system.html)
	@echo ""

 include mk/targets.mk	# toplevel make machinery

=== lisp/Makefile ===
.NOTPARALLEL:	# always run this make serially
.SUFFIXES:	# we don't need default suffix rules
ifeq ($(MAKELEVEL), 0)
  $(error This make needs to be started as a sub-make from the toplevel directory.)
endif

LISPV = org-version.el
LISPI = org-install.el
LISPA = $(LISPV) $(LISPI)
LISPF = $(filter-out $(LISPA),$(sort $(wildcard *.el)))
LISPC = $(filter-out $(LISPN:%el=%elc),$(LISPF:%el=%elc))
_ORGCM_ = dirall single source slint1 slint2
-include local.mk

.PHONY:	all compile compile-dirty \
	$(_ORGCM_) $(_ORGCM_:%=compile-%) \
	autoloads addcontrib \
	install clean cleanauto cleanall cleanelc clean-install

# do not clean here, done in toplevel make
all compile compile-dirty::	 autoloads
ifeq ($(filter-out $(_ORGCM_),$(ORGCM)),)
	$(MAKE) compile-$(ORGCM)
else
	$(error ORGCM has illegal value $(ORGCM) (valid: $(_ORGCM_)))
endif

compile-dirall:	dirall
compile-single: single $(LISPC)
compile-source:	source dirall
compile-slint1:	dirall slint1
compile-slint2:	source dirall slint1

# internal
dirall:
	@$(info ==================== $@ ====================)
	@$(ELCDIR)
single:
	@$(info ==================== $@ ====================)
source: cleanelc
	@$(info ==================== $@ ====================)
	@$(foreach elc,$(LISPC),$(MAKE) $(elc) && $(RM) $(elc);)
slint1:
	@$(info ==================== $@ ====================)
	@$(foreach elc,$(LISPC),$(RM) $(elc); $(MAKE) $(elc);)

%.elc:	%.el
	@$(info Compiling single $(abspath $<)...)
	-@$(ELC) $<

addcontrib:
ifneq ($(ORG_ADD_CONTRIB),)
	$(CP) $(wildcard \
		$(addsuffix .el, \
		$(addprefix ../contrib/lisp/, \
		$(basename \
		$(notdir $(ORG_ADD_CONTRIB)))))) .
endif

autoloads:	cleanauto addcontrib $(LISPI) $(LISPV)

$(LISPV):	$(LISPF)
	@echo "org-version: $(ORGVERSION) ($(GITVERSION))"
	@$(RM) $(@)
	@$(MAKE_ORG_VERSION)

$(LISPI):	$(LISPV) $(LISPF)
	@echo "org-install: $(ORGVERSION) ($(GITVERSION))"
	@$(RM) $(@)
	@$(MAKE_ORG_INSTALL)

install:	$(LISPF) compile
	if [ ! -d $(DESTDIR)$(lispdir) ] ; then \
	  $(MKDIR) $(DESTDIR)$(lispdir) ; \
	fi ;
	$(CP) $(LISPC) $(LISPF) $(LISPA) $(DESTDIR)$(lispdir)

cleanauto clean cleanall::
	$(RM) $(LISPA) $(LISPA:%el=%elc)
clean cleanall cleanelc::
	$(RM) *.elc

clean-install:
	if [ -d $(DESTDIR)$(lispdir) ] ; then \
	  $(RM) $(DESTDIR)$(lispdir)/org*.el* $(DESTDIR)$(lispdir)/ob*.el* ; \
	fi ;

=== debian/changelog ===
org-mode (7.9.2-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Tue, 30 Oct 2012 08:45:52 +0100

org-mode (7.9.1-3) unstable; urgency=low

  * Fix FTBFS since org-mode now requires emacs to be built (Closes:
    #691768)

 -- Sebastien Delafond <seb@debian.org>  Mon, 29 Oct 2012 16:19:40 +0100

org-mode (7.9.1-2) unstable; urgency=low

  * Also generate the PDF reference card (Closes: #690030)

 -- Sebastien Delafond <seb@debian.org>  Tue, 09 Oct 2012 10:55:13 +0200

org-mode (7.9.1-1) unstable; urgency=low

  * New upstream release (Closes: #685154, #668496, #688673)
  * Updated watch file again

 -- Sebastien Delafond <seb@debian.org>  Thu, 13 Sep 2012 14:53:00 +0200

org-mode (7.8.11-2) unstable; urgency=low

  * Fix dependencies to include current versions of emacs in unstable
    (Closes: #682713)
  * Proper watch file

 -- Sebastien Delafond <seb@debian.org>  Mon, 13 Aug 2012 12:32:11 +0200

=== debian/control ===
Source: org-mode
Section: misc
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 6)
Build-Depends-Indep: texinfo, texlive-latex-base, emacs | emacs24 | emacs23
Standards-Version: 3.9.3
Homepage: http://orgmode.org

Package: org-mode
Architecture: all
Depends: ${misc:Depends}, emacs24 | emacs23
Suggests: remember-el, easypg, ditaa
Description: keep notes, maintain ToDo lists, and do project planning in emacs
 Org-mode is a mode for keeping notes, maintaining ToDo lists, and
 doing project planning with a fast and effective plain-text system.
 .
 Org-mode develops organizational tasks around NOTES files that contain
 information about projects as plain text. Org-mode is implemented on
 top of outline-mode, which makes it possible to keep the content of
 large files well structured. Visibility cycling and structure editing
 help to work with the tree. Tables are easily created with a built-in
 table editor. Org-mode supports ToDo items, deadlines, time stamps,
 and scheduling. It dynamically compiles entries into an agenda. Plain
 text URL-like links connect to websites, emails, Usenet messages,
 BBDB entries, and any files related to the projects. For printing and
 sharing of notes, an Org-mode file can be exported as a structured
 ASCII file, HTML, and LaTeX.

=== debian/rules ===
#! /usr/bin/make -f

DOC_TMP_FILES := doc/org.aux doc/org.cp doc/org.cps doc/org.fn \
		 doc/org.fns doc/org.ky doc/org.kys \
	         doc/org.log doc/org.pg doc/org.toc doc/org.tp \

DOC_FILES := doc/*pdf

clean:
	dh_testdir
	dh_testroot
	dh_clean
	rm -f $(DOC_FILES) $(DOC_TMP_FILES)

build build-indep build-arch:

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	cp lisp/* $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode
	cp -r etc $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode
#	cp xemacs/*.el $(CURDIR)/debian/org-mode/usr/share/xemacs/site-lisp/org-mode
	cp -r contrib $(CURDIR)/debian/org-mode/usr/share/org-mode/
	make doc
	rm -f $(DOC_TMP_FILES)
	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -type f -exec chmod 644 "{}" \;
	find $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode -type f -exec chmod 644 "{}" \;
	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -name .DS_Store -exec rm -f "{}" \;
	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -name .gitignore -exec rm -f "{}" \;

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/*
	rm -f $(CURDIR)/debian/org-mode/usr/share/doc/org-mode/*texi*
	dh_installemacsen -v
	dh_fixperms
	dh_installinfo doc/org
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build-arch

binary: binary-indep binary-arch

.PHONY: build clean build-indep build-arch binary binary-indep binary-arch

## org-mode 8.0.6

=== debian/changelog ===
org-mode (8.0.6-3) unstable; urgency=low

  * Remove copyright notice for the Org documentation, since it now lives
    in its own org-mode-doc package in non-free

 -- Sebastien Delafond <seb@debian.org>  Tue, 16 Jul 2013 10:55:16 +0200

org-mode (8.0.6-2) unstable; urgency=low

  * Add emacs-snapshot as an acceptable dependency, not just a build
    dependency (Closes: #712187)

 -- Sebastien Delafond <seb@debian.org>  Tue, 16 Jul 2013 08:56:59 +0200

org-mode (8.0.6-1) unstable; urgency=low

  * New upstream release
  * Remove non-free documentation (Closes: #709494), and mention that in
    NEWS.Debian
  * Add emacs-snapshot as an acceptable version of emacs (Closes: #712187)
  * Bumped up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Mon, 15 Jul 2013 13:51:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 6)
-Build-Depends-Indep: texinfo, texlive-latex-base, emacs | emacs24 | emacs23
-Standards-Version: 3.9.3
+Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs-snapshot
+Standards-Version: 3.9.4
 Homepage: http://orgmode.org
 
 Package: org-mode
 Architecture: all
-Depends: ${misc:Depends}, emacs24 | emacs23
+Depends: ${misc:Depends}, emacs24 | emacs23 | emacs-snapshot
 Suggests: remember-el, easypg, ditaa
 Description: keep notes, maintain ToDo lists, and do project planning in emacs
  Org-mode is a mode for keeping notes, maintaining ToDo lists, and

## org-mode 8.0.7

=== debian/changelog ===
org-mode (8.0.7-2~bpo70+1) wheezy-backports; urgency=low

  * Backport for wheezy

 -- Sebastien Delafond <seb@debian.org>  Tue, 10 Sep 2013 22:38:52 +0200

org-mode (8.0.7-2) unstable; urgency=low

  * Do not Recommend remember-el anymore, as it's obsolete with Org 8.x
    (Closes: #721787).

 -- Sebastien Delafond <seb@debian.org>  Tue, 10 Sep 2013 22:34:03 +0200

org-mode (8.0.7-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Sun, 11 Aug 2013 16:27:56 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: org-mode
 Architecture: all
 Depends: ${misc:Depends}, emacs24 | emacs23 | emacs-snapshot
-Suggests: remember-el, easypg, ditaa
+Suggests: easypg, ditaa
 Description: keep notes, maintain ToDo lists, and do project planning in emacs
  Org-mode is a mode for keeping notes, maintaining ToDo lists, and
  doing project planning with a fast and effective plain-text system.

## org-mode 8.2.4

=== debian/changelog ===
org-mode (8.2.4-1) unstable; urgency=low

  * New upstream release (Closes: #729725)
  * Conflict with older emacsen-common (Comment: #732699)
  * Tweak auto-mode-alist regex (Closes: #719038)

 -- Sebastien Delafond <seb@debian.org>  Sun, 29 Dec 2013 17:44:50 +0100

org-mode (8.2.1-2) unstable; urgency=low

  * Hrm, really recommend texlive-generic-recommended and
    texlive-latex-recommended (Closes: #725126)

 -- Sebastien Delafond <seb@debian.org>  Mon, 09 Dec 2013 11:46:24 +0100

org-mode (8.2.1-1) unstable; urgency=low

  * New upstream release
  * Do not support emacs22 anymore (Closes: #719037)
  * Recommend texlive-generic-recommended and texlive-latex-recommended
    (Closes: #725126)

 -- Sebastien Delafond <seb@debian.org>  Sun, 27 Oct 2013 17:14:14 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,8 @@
 Package: org-mode
 Architecture: all
 Depends: ${misc:Depends}, emacs24 | emacs23 | emacs-snapshot
+Conflicts: emacsen-common (<< 2.0.0)
+Recommends: texlive-generic-recommended, texlive-latex-recommended
 Suggests: easypg, ditaa
 Description: keep notes, maintain ToDo lists, and do project planning in emacs
  Org-mode is a mode for keeping notes, maintaining ToDo lists, and

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	cp -r etc $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode
 #	cp xemacs/*.el $(CURDIR)/debian/org-mode/usr/share/xemacs/site-lisp/org-mode
 	cp -r contrib $(CURDIR)/debian/org-mode/usr/share/org-mode/
-	make doc
+#	make doc
 	rm -f $(DOC_TMP_FILES)
 	find $(CURDIR)/debian/org-mode/usr/share/org-mode/ -type f -exec chmod 644 "{}" \;
 	find $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode -type f -exec chmod 644 "{}" \;
@@ -34,11 +34,11 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs
-	dh_installdocs doc/*
+	dh_installdocs
 	rm -f $(CURDIR)/debian/org-mode/usr/share/doc/org-mode/*texi*
 	dh_installemacsen -v
 	dh_fixperms
-	dh_installinfo doc/org
+#	dh_installinfo doc/org
 	dh_compress
 	dh_installdeb
 	dh_gencontrol

## org-mode 8.2.7b

=== debian/changelog ===
org-mode (8.2.7b-2) unstable; urgency=medium

  * Add Vcs-* information

 -- Sebastien Delafond <seb@debian.org>  Mon, 14 Jul 2014 11:45:20 +0200

org-mode (8.2.7b-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Wed, 25 Jun 2014 09:34:50 +0200

org-mode (8.2.7a-1) unstable; urgency=medium

  * New upstream release (Closes: #752032)

 -- Sebastien Delafond <seb@debian.org>  Sat, 21 Jun 2014 11:08:09 +0200

org-mode (8.2.7-1) unstable; urgency=medium

  * New upstream release (Closes: #751014)

 -- Sebastien Delafond <seb@debian.org>  Sat, 14 Jun 2014 12:50:57 +0200

org-mode (8.2.6-1) unstable; urgency=medium

  * New upstream release (Closes: #644238)
  * Depend on emacsen-common >= 2.0.8, and add debian/emacsen-compat

 -- Sebastien Delafond <seb@debian.org>  Fri, 13 Jun 2014 13:20:31 +0200

org-mode (8.2.5h-2) unstable; urgency=low

  * Bring back dependency on emacsen-common

 -- Sebastien Delafond <seb@debian.org>  Mon, 19 May 2014 22:47:22 +0200

org-mode (8.2.5h-1) unstable; urgency=low

  * New upstream release
  * Add a Suggests:texlive-latex-extra (Closes: #740867)
  * Bump Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 02 Apr 2014 13:03:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 6)
 Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs-snapshot
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://orgmode.org
+Vcs-Git: git://anonscm.debian.org/collab-maint/org-mode.git
+Vcs-Browser: http://anonscm.debian.org/git/collab-maint/org-mode.git
 
 Package: org-mode
 Architecture: all
-Depends: ${misc:Depends}, emacs24 | emacs23 | emacs-snapshot
+Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs24 | emacs23 | emacs-snapshot
 Conflicts: emacsen-common (<< 2.0.0)
 Recommends: texlive-generic-recommended, texlive-latex-recommended
 Suggests: easypg, ditaa

## org-mode 8.2.10

=== debian/changelog ===
org-mode (8.2.10-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Mon, 13 Oct 2014 11:04:09 +0200

org-mode (8.2.7c-1) unstable; urgency=medium

  * New upstream version 8.2.7c
  * Add texlive-latex-extra and texlive-fonts-recommended to Suggests:
    (Closes: #759353)

 -- Sebastien Delafond <seb@debian.org>  Wed, 27 Aug 2014 12:04:44 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs24 | emacs23 | emacs-snapshot
 Conflicts: emacsen-common (<< 2.0.0)
 Recommends: texlive-generic-recommended, texlive-latex-recommended
-Suggests: easypg, ditaa
+Suggests: easypg, ditaa, texlive-latex-extra, texlive-fonts-recommended
 Description: keep notes, maintain ToDo lists, and do project planning in emacs
  Org-mode is a mode for keeping notes, maintaining ToDo lists, and
  doing project planning with a fast and effective plain-text system.

## org-mode 8.3.3

=== debian/changelog ===
org-mode (8.3.3-2) unstable; urgency=medium

  * Remove support for 8.3 (Closes: #815093)

 -- Sebastien Delafond <seb@debian.org>  Thu, 18 Feb 2016 18:23:58 +0100

org-mode (8.3.3-1) unstable; urgency=medium

  * Imported new upstream version 8.3.3

 -- Sebastien Delafond <seb@debian.org>  Wed, 10 Feb 2016 18:54:55 +0100

org-mode (8.3.2-1) unstable; urgency=medium

  * New upstream version 8.3.2

 -- Sebastien Delafond <seb@debian.org>  Fri, 27 Nov 2015 17:40:59 +0100

org-mode (8.3.1-2) unstable; urgency=medium

  * easypg is not in the archive anymore (Closes: #798831)

 -- Sebastien Delafond <seb@debian.org>  Mon, 14 Sep 2015 11:11:38 +0200

org-mode (8.3.1-1) unstable; urgency=medium

  * New upstream release
  * Do not ship obsolete ditaa.jar (Closes: #792069)
  * Detail relationship between org versions shipped in emacs and in
    org-mode (Closes: #772989)

 -- Sebastien Delafond <seb@debian.org>  Tue, 25 Aug 2015 14:02:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 6)
 Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs-snapshot
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://orgmode.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/org-mode.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/org-mode.git
 
 Package: org-mode
 Architecture: all
-Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs24 | emacs23 | emacs-snapshot
+Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs24 | emacs-snapshot
 Conflicts: emacsen-common (<< 2.0.0)
 Recommends: texlive-generic-recommended, texlive-latex-recommended
-Suggests: easypg, ditaa, texlive-latex-extra, texlive-fonts-recommended
+Suggests: ditaa, texlive-latex-extra, texlive-fonts-recommended
 Description: keep notes, maintain ToDo lists, and do project planning in emacs
  Org-mode is a mode for keeping notes, maintaining ToDo lists, and
  doing project planning with a fast and effective plain-text system.

=== debian/rules ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	dh_testroot
 	dh_installchangelogs
 	dh_installdocs
+	dh_link
 	rm -f $(CURDIR)/debian/org-mode/usr/share/doc/org-mode/*texi*
 	dh_installemacsen -v
 	dh_fixperms

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

http://orgmode.org/ \
  org-(\d.+)\.tar\.gz debian uupdate

## org-mode 8.3.4

=== debian/changelog ===
org-mode (8.3.4-1) unstable; urgency=medium

  * Imported Upstream version 8.3.4 (Closes: #818305)

 -- Sebastien Delafond <seb@debian.org>  Wed, 16 Mar 2016 09:54:10 +0100

org-mode (8.3.3-4) unstable; urgency=medium

  * Suggest org-mode-doc (Closes: #816550)

 -- Sebastien Delafond <seb@debian.org>  Thu, 03 Mar 2016 09:29:56 +0100

org-mode (8.3.3-3) unstable; urgency=medium

  * Remove support for emacs23 (Closes: #815093) 

 -- Sebastien Delafond <seb@debian.org>  Fri, 19 Feb 2016 18:22:38 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs24 | emacs-snapshot
 Conflicts: emacsen-common (<< 2.0.0)
 Recommends: texlive-generic-recommended, texlive-latex-recommended
-Suggests: ditaa, texlive-latex-extra, texlive-fonts-recommended
+Suggests: org-mode-doc, ditaa, texlive-latex-extra, texlive-fonts-recommended
 Description: keep notes, maintain ToDo lists, and do project planning in emacs
  Org-mode is a mode for keeping notes, maintaining ToDo lists, and
  doing project planning with a fast and effective plain-text system.

## org-mode 9.0.3

=== debian/changelog ===
org-mode (9.0.3-2) unstable; urgency=medium

  * Correct Vcs-Git URL

 -- Sebastien Delafond <seb@debian.org>  Wed, 28 Dec 2016 09:37:47 +0100

org-mode (9.0.3-1) unstable; urgency=medium

  * Imported Upstream version 9.0.3

 -- Sebastien Delafond <seb@debian.org>  Wed, 28 Dec 2016 09:22:51 +0100

org-mode (9.0.2-1) unstable; urgency=medium

  * Imported Upstream version 9.0.2
  * Switch to HTTPS for Vcs-*
  * Bump debhelper compatibility level to 9
  * Bump up Standards-Version
  * Use dh_prep instead of dh_clean -k

 -- Sebastien Delafond <seb@debian.org>  Sun, 18 Dec 2016 18:15:55 +0100

org-mode (9.0-3) unstable; urgency=medium

  * Binary-Depend on emacs25 also (Closes: #847092)

 -- Sebastien Delafond <seb@debian.org>  Wed, 07 Dec 2016 17:35:05 +0100

org-mode (9.0-2) unstable; urgency=medium

  * Add alternate dependency on emacs25 (Closes: #847092)
  * Remove alternate dependency on emacs23

 -- Sebastien Delafond <seb@debian.org>  Mon, 05 Dec 2016 15:44:32 +0100

org-mode (9.0-1) unstable; urgency=medium

  * Imported Upstream version 9.0 (Closes: #843029)

 -- Sebastien Delafond <seb@debian.org>  Mon, 07 Nov 2016 10:42:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 6)
-Build-Depends-Indep: emacs | emacs24 | emacs23 | emacs-snapshot
-Standards-Version: 3.9.6
+Build-Depends-Indep: emacs | emacs25 | emacs24 | emacs-snapshot
+Standards-Version: 3.9.8
 Homepage: http://orgmode.org
-Vcs-Git: git://anonscm.debian.org/collab-maint/org-mode.git
-Vcs-Browser: http://anonscm.debian.org/git/collab-maint/org-mode.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/org-mode.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/org-mode.git
 
 Package: org-mode
 Architecture: all
-Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs24 | emacs-snapshot
+Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs25 | emacs24 | emacs-snapshot
 Conflicts: emacsen-common (<< 2.0.0)
 Recommends: texlive-generic-recommended, texlive-latex-recommended
 Suggests: org-mode-doc, ditaa, texlive-latex-extra, texlive-fonts-recommended

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 	dh_installdirs
 	cp lisp/* $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode
 	cp -r etc $(CURDIR)/debian/org-mode/usr/share/emacs/site-lisp/org-mode

## org-mode 9.0.9+dfsg

=== debian/changelog ===
org-mode (9.0.9+dfsg-3) unstable; urgency=medium

  * Switch to team maintenance: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>

 -- Sebastien Delafond <seb@debian.org>  Thu, 03 Aug 2017 11:26:08 -0400

org-mode (9.0.9+dfsg-2) unstable; urgency=medium

  * Switch to dh-elpa (Closes: #829288, #610699)
  * Bump-Up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 02 Aug 2017 15:06:50 -0400

org-mode (9.0.9+dfsg-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * debian/watch: Switch to version 4, and add repacksuffix=+dfsg
    - When repacking dfsg-free source, repack with xz
  * Switch to copyright-format 1.0, because this allows using
    Files-Excluded to strip non-dfsg source
  * New upstream version 9.0.9+dfsg

  [ Sebastien Delafond ]

 -- Sebastien Delafond <seb@untangle.com>  Wed, 02 Aug 2017 14:47:03 -0400

=== debian/control ===
Source: org-mode
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 10), dh-elpa
Standards-Version: 4.0.0
Homepage: http://orgmode.org
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/org-mode.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-emacsen/pkg/org-mode.git

Package: elpa-org
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Suggests: org-mode-doc, ditaa, texlive-latex-extra, texlive-fonts-recommended
Enhances: emacs,
 emacs24,
 emacs25
Breaks: org-mode (<< 9.0.9+dfsg-2)
Provides: org-mode, elpa-org-plus-contrib
Description: Keep notes, maintain ToDo lists, and do project planning in emacs
 Org-mode is a mode for keeping notes, maintaining ToDo lists, and
 doing project planning with a fast and effective plain-text system.
 .
 Org-mode develops organizational tasks around NOTES files that contain
 information about projects as plain text. Org-mode is implemented on
 top of outline-mode, which makes it possible to keep the content of
 large files well structured. Visibility cycling and structure editing
 help to work with the tree. Tables are easily created with a built-in
 table editor. Org-mode supports ToDo items, deadlines, time stamps,
 and scheduling. It dynamically compiles entries into an agenda. Plain
 text URL-like links connect to websites, emails, Usenet messages,
 BBDB entries, and any files related to the projects. For printing and
 sharing of notes, an Org-mode file can be exported as a structured
 ASCII file, HTML, and LaTeX.

Package: org-mode
Architecture: all
Depends: ${misc:Depends}, elpa-org
Description: Transition Package, org-mode to elpa-org
 The Org emacs addon has been elpafied. This dummy package
 helps ease transition from org-mode to elpa-org.

## org-mode 9.1.6%2Bdfsg

=== debian/changelog ===
org-mode (9.1.6+dfsg-1) unstable; urgency=medium

  * New upstream version 9.1.6+dfsg

 -- Sebastien Delafond <seb@debian.org>  Fri, 05 Jan 2018 10:53:45 +0100

org-mode (9.1.5+dfsg-1) unstable; urgency=medium

  * New upstream version 9.1.5+dfsg
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 03 Jan 2018 11:41:37 +0100

org-mode (9.1.2+dfsg-2) sid; urgency=medium

  * Remove ob-sclang.el for now (Closes: #878017)

 -- Sebastien Delafond <seb@debian.org>  Mon, 09 Oct 2017 09:35:06 +0200

org-mode (9.1.2+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 9.1.2+dfsg

 -- Sebastien Delafond <seb@debian.org>  Sat, 07 Oct 2017 10:23:08 +0200

org-mode (9.0.9+dfsg-4) unstable; urgency=low

  * Team upload.
  * Depend on elpa-htmlize.
  * Add override to avoid installing bundled version of htmlize.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 20 Sep 2017 10:37:48 -0700

## org-mode 9.1.6+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
 Uploaders: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: http://orgmode.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/org-mode.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-emacsen/pkg/org-mode.git
 
 Package: elpa-org
 Architecture: all
-Depends: ${elpa:Depends}, ${misc:Depends}
+Depends: ${elpa:Depends}, ${misc:Depends}, elpa-htmlize
 Recommends: emacs (>= 46.0)
 Suggests: org-mode-doc, ditaa, texlive-latex-extra, texlive-fonts-recommended
 Enhances: emacs,

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg(\.?\d+)?$//,repacksuffix=+dfsg,\
      repack,compression=xz" \
  http://orgmode.org/ org-(\d.+)\.tar\.gz

## org-mode 9.1.14+dfsg

=== lisp/Makefile ===
--- 
+++ 
@@ -4,12 +4,23 @@
   $(error This make needs to be started as a sub-make from the toplevel directory.)
 endif
 
-LISPV = org-version.el
-LISPI = org-install.el
-LISPA = $(LISPV) $(LISPI)
-LISPF = $(filter-out $(LISPA),$(sort $(wildcard *.el)))
-LISPC = $(filter-out $(LISPN:%el=%elc),$(LISPF:%el=%elc))
-_ORGCM_ = dirall single source slint1 slint2
+ifneq ($(ORG_ADD_CONTRIB),)
+  _ORG_ADD_EL_ := \
+	$(notdir \
+	$(wildcard \
+	$(addsuffix .el, \
+	$(addprefix ../contrib/lisp/, \
+	$(basename \
+	$(notdir $(ORG_ADD_CONTRIB)))))))
+endif
+
+LISPV 	:= org-version.el
+LISPI 	:= org-loaddefs.el
+LISPA 	:= $(LISPV) $(LISPI)
+LISPB 	:= $(LISPA:%el=%elc) org-install.elc
+LISPF 	:= $(filter-out $(LISPA),$(sort $(wildcard *.el) $(_ORG_ADD_EL_)))
+LISPC 	:= $(filter-out $(LISPB) $(LISPN:%el=%elc),$(LISPF:%el=%elc))
+_ORGCM_ := dirall single source slint1 slint2
 -include local.mk
 
 .PHONY:	all compile compile-dirty \
@@ -50,11 +61,7 @@
 
 addcontrib:
 ifneq ($(ORG_ADD_CONTRIB),)
-	$(CP) $(wildcard \
-		$(addsuffix .el, \
-		$(addprefix ../contrib/lisp/, \
-		$(basename \
-		$(notdir $(ORG_ADD_CONTRIB)))))) .
+	$(CP) $(addprefix ../contrib/lisp/,$(_ORG_ADD_EL_)) .
 endif
 
 autoloads:	cleanauto addcontrib $(LISPI) $(LISPV)
@@ -65,22 +72,22 @@
 	@$(MAKE_ORG_VERSION)
 
 $(LISPI):	$(LISPV) $(LISPF)
-	@echo "org-install: $(ORGVERSION) ($(GITVERSION))"
+	@echo "org-loaddefs: $(ORGVERSION) ($(GITVERSION))"
 	@$(RM) $(@)
 	@$(MAKE_ORG_INSTALL)
 
-install:	$(LISPF) compile
+install:	 compile $(LISPF)
 	if [ ! -d $(DESTDIR)$(lispdir) ] ; then \
 	  $(MKDIR) $(DESTDIR)$(lispdir) ; \
 	fi ;
 	$(CP) $(LISPC) $(LISPF) $(LISPA) $(DESTDIR)$(lispdir)
 
 cleanauto clean cleanall::
-	$(RM) $(LISPA) $(LISPA:%el=%elc)
+	$(RM) $(LISPA) $(LISPB)
 clean cleanall cleanelc::
 	$(RM) *.elc
 
 clean-install:
 	if [ -d $(DESTDIR)$(lispdir) ] ; then \
-	  $(RM) $(DESTDIR)$(lispdir)/org*.el* $(DESTDIR)$(lispdir)/ob*.el* ; \
+	  $(RM) $(DESTDIR)$(lispdir)/org*.el* $(DESTDIR)$(lispdir)/ob*.el* $(DESTDIR)$(lispdir)/ox*.el* ; \
 	fi ;

=== debian/changelog ===
org-mode (9.1.14+dfsg-3) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Fix wrongly declared ELPA version (9.1.11 was declared)

  [ Sébastien Delafond ]
  * Remove old 9.1.11 files (Closes: #908508)

 -- Sebastien Delafond <seb@debian.org>  Tue, 11 Sep 2018 09:38:46 +0200

org-mode (9.1.14+dfsg-2) unstable; urgency=medium

  * Set version to 9.1.14 in org-pkg.el

 -- Sebastien Delafond <seb@debian.org>  Sun, 09 Sep 2018 11:04:38 +0200

org-mode (9.1.14+dfsg-1) unstable; urgency=medium

  * New upstream version 9.1.14+dfsg

 -- Sebastien Delafond <seb@debian.org>  Thu, 23 Aug 2018 14:06:26 +0200

org-mode (9.1.13+dfsg-1) unstable; urgency=medium

  * Update Vcs-* to point to emacsen-team directory on salsa
  * Update maintainer field to Debian Emacsen team
    <debian-emacsen@lists.debian.org>
  * One maintainer field shall be enough
  * New upstream version 9.1.13+dfsg

 -- Sebastien Delafond <seb@debian.org>  Thu, 21 Jun 2018 15:07:51 +0200

org-mode (9.1.11+dfsg-1) unstable; urgency=medium

  * Fix copyright
  * New upstream version 9.1.11+dfsg
  * Set version to 9.1.11 in org-pkg.el

 -- Sebastien Delafond <seb@debian.org>  Tue, 24 Apr 2018 16:18:05 +0200

org-mode (9.1.9+dfsg-1) unstable; urgency=medium

  * Switch to DEP 14
  * Update Vcs-* to point to salsa.d.o
  * Use https for watch URL
  * New upstream version 9.1.9+dfsg
  * Bump-up Standards-Version
  * Use https for source URL

 -- Sebastien Delafond <seb@debian.org>  Fri, 30 Mar 2018 14:56:22 +0200

org-mode (9.1.7+dfsg-1) unstable; urgency=medium

  * Document copyright attributions for testing/
  * Remove obsolete README.Debian entry about contrib/ not being enabled by default (Closes: #887333)
  * Add texinfo to Suggests: (Closes: #880626)
  * New upstream version 9.1.7+dfsg

 -- Sebastien Delafond <seb@debian.org>  Mon, 05 Mar 2018 09:18:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: org-mode
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.1.1
-Homepage: http://orgmode.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/org-mode.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-emacsen/pkg/org-mode.git
+Standards-Version: 4.1.3
+Homepage: https://orgmode.org
+Vcs-Git: https://salsa.debian.org/emacsen-team/org-mode.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/org-mode
 
 Package: elpa-org
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}, elpa-htmlize
 Recommends: emacs (>= 46.0)
-Suggests: org-mode-doc, ditaa, texlive-latex-extra, texlive-fonts-recommended
+Suggests: org-mode-doc, ditaa, texlive-latex-extra, texlive-fonts-recommended, texinfo
 Enhances: emacs,
  emacs24,
  emacs25

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:

override_dh_auto_clean:

override_dh_auto_install:

override_dh_elpa_test:
	rm testing/lisp/test-ob-fortran.el

override_dh_elpa:
	dh_elpa
	rm debian/elpa-org/usr/share/emacs/site-lisp/elpa-src/org-*/ob-sclang.el

## org-mode 9.2.3+dfsg

=== debian/changelog ===
org-mode (9.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 9.2.3+dfsg

 -- Sebastien Delafond <seb@debian.org>  Tue, 02 Apr 2019 16:21:32 +0200

org-mode (9.2.2+dfsg-2) unstable; urgency=medium

  * d/elpa: manually list contrib files, so we can exclude problematic
    ones (Closes: #925592)

 -- Sebastien Delafond <seb@debian.org>  Wed, 27 Mar 2019 11:33:41 +0100

org-mode (9.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 9.2.2+dfsg
  * Remove patch 40-use_correct_upstream_version

 -- Sebastien Delafond <seb@debian.org>  Tue, 26 Mar 2019 14:47:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://orgmode.org
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-mode

## org-mode 9.3.1%2Bdfsg

=== lisp/Makefile ===
--- 
+++ 
@@ -89,5 +89,5 @@
 
 clean-install:
 	if [ -d $(DESTDIR)$(lispdir) ] ; then \
-	  $(RM) $(DESTDIR)$(lispdir)/org*.el* $(DESTDIR)$(lispdir)/ob*.el* $(DESTDIR)$(lispdir)/ox*.el* ; \
+	  $(RM) $(DESTDIR)$(lispdir)/org*.el* $(DESTDIR)$(lispdir)/ob*.el* $(DESTDIR)$(lispdir)/ol*.el* $(DESTDIR)$(lispdir)/ox*.el* ; \
 	fi ;

=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg(\.?\d+)?$//,repacksuffix=+dfsg,\
      repack,compression=xz" \
  https://orgmode.org/ org-(\d.+)\.tar\.gz

## org-mode 9.3.1+dfsg

=== etc/Makefile ===
ETCDIRS = styles schema
-include local.mk	# optional local customization

.NOTPARALLEL:	# always run this make serially
.SUFFIXES:	# we don't need default suffix rules
ifeq ($(MAKELEVEL), 0)
  $(error This make needs to be started as a sub-make from the toplevel directory.)
endif

.PHONY:		all install clean cleanall clean-install

all:

install:	$(ETCDIRS)
	for dir in $? ; do \
	  if [ ! -d $(DESTDIR)$(datadir)/$${dir} ] ; then \
	    $(MKDIR) $(DESTDIR)$(datadir)/$${dir} ; \
	  fi ; \
	  $(CP) $${dir}/* $(DESTDIR)$(datadir)/$${dir} ; \
	done ;

clean:

cleanall:

clean-install:	$(ETCDIRS)
	for dir in $? ; do \
	  if [ -d $(DESTDIR)$(datadir)/$${dir} ] ; then \
	    $(RMR) $(DESTDIR)$(datadir)/$${dir} ; \
	  fi ; \
	done ;

=== debian/changelog ===
org-mode (9.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 9.3.1+dfsg

 -- Sebastien Delafond <seb@debian.org>  Thu, 16 Jan 2020 09:07:04 +0100

org-mode (9.3+dfsg-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Restore the functionality provided by org-notmuch (Closes: #948027)
  * Install ol-bookmark.el, ol-elisp-symbol.el, ol-git-link.el, ol-man.el,
    ol-mew.el, ol-notmuch.el, ol-vm.el, ol-wl.el using debian/elpa.  All
    of these files previously had an "org-" prefix where they now have
    "ol-".
  * Add an entry to debian/NEWS to notify users of the requirement to
    update their configuration due to the renamed libraries noted above.
  * Update debian/copyright to add missing info for ol-git-link.el and
    ol-notmuch.el
  * Drop contrib/lisp/org-drill.el from dh-elpa installed files.  See
    #947017 for the RFP bug for org-drill.  Ideally it should be packaged
    and this Debian revision of org-mode should either depend or recommend
    elpa-org-drill.
  * finalise NEWS

 -- Sebastien Delafond <seb@debian.org>  Sun, 05 Jan 2020 17:56:54 +0100

org-mode (9.3+dfsg-1) unstable; urgency=medium

  * New upstream version 9.3+dfsg
  * Bump up Standards-Version
  * Rename debian/NEWS.debian to debian/NEWS
  * Clean up debian/copyright

 -- Sebastien Delafond <seb@debian.org>  Fri, 20 Dec 2019 15:47:16 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://orgmode.org
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-mode

## org-mode 9.4.0+dfsg

=== debian/changelog ===
org-mode (9.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 9.4.0+dfsg
  * Bump-up Standards-Version
  
 -- Sebastien Delafond <seb@debian.org>  Thu, 24 Sep 2020 16:07:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Sebastien Delafond <seb@debian.org>
 Build-Depends: debhelper (>= 10), dh-elpa
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://orgmode.org
 Vcs-Git: https://salsa.debian.org/emacsen-team/org-mode.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/org-mode

## org-mode 9.5.2+dfsh

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,6 @@
 	$(info )
 	$(info Getting Help)
 	$(info ============)
-	$(info )
 	$(info make help           - show brief help)
 	$(info make targets        - ditto)
 	$(info make helpall        - show extended help)
@@ -28,8 +27,9 @@
 	$(info make all            - ditto)
 	$(info make compile        - build Org ELisp files)
 	$(info make single         - build Org ELisp files, single Emacs per source)
-	$(info make autoloads      - create org-install.el to load Org in-place)
+	$(info make autoloads      - create org-loaddefs.el to load Org in-place)
 	$(info make test           - build Org ELisp files and run test suite)
+	$(info make vanilla        - run Emacs with this Org-mode and no personal config)
 helpall::
 	$(info make test-dirty     - check without building first)
 	$(info make compile-dirty  - build only stale Org ELisp files)
@@ -91,7 +91,7 @@
 	$(info )
 	$(info Full documentation on Worg)
 	$(info ==========================)
-	$(info http://orgmode.org/worg/dev/org-build-system.html)
+	$(info https://orgmode.org/worg/dev/org-build-system.html)
 	@echo ""
 
  include mk/targets.mk	# toplevel make machinery

=== debian/changelog ===
org-mode (9.5.2+dfsh-5) unstable; urgency=medium

  * Team upload.
  * Convert to empty dependency package which depends on emacs. This
    allows package which depend on elpa-org to use the version shipped
    with emacs (>=28.2) (Closes: #1035650).

 -- David Bremner <bremner@debian.org>  Tue, 16 May 2023 19:58:05 -0300

org-mode (9.5.2+dfsh-4) unstable; urgency=medium

  * Team upload.
  * Strip +dfsg/+dfsh suffix from the version we substitute into org-version.el.
    Emacs functions for processing version numbers reject ones containing '+'.
    Thanks to Lev Lamberov for reporting the problem.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 04 Jan 2022 11:02:17 -0700

org-mode (9.5.2+dfsh-3) unstable; urgency=medium

  * Team upload.
  * Add override_dh_auto_test stanza which does nothing (Closes: #1002982).
    dh_auto_test has the effect of generating a broken org-version.el,
    which then gets installed.  Thanks to Lev Lamberov and Gregory Mounie
    for testing the previous upload and reporting the problem.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 03 Jan 2022 18:49:54 -0700

org-mode (9.5.2+dfsh-2) unstable; urgency=medium

  * Team upload.
  * Build and install org-version.el (Closes: #1002982).
    Thanks Lev Lamberov for the report.
  * Set 'disable = yes' in d/elpa-test & drop override_dh_elpa_test stanza.
    Debian's execution of the test suite needs reworking for the new
    upstream version.  There are complexities related to the fact that a
    version of Org is included with Emacs; see org-batch-test-init.el.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 02 Jan 2022 15:16:23 -0700

org-mode (9.5.2+dfsh-1) unstable; urgency=medium

  [ Sean Whitton ]
  * Team upload.
  * New upstream release.
    - Update d/copyright for new & removed files.
    - Newly exclude non-free files under etc/schema/.
    - d/rules: drop override_dh_elpa.
      Referenced files no longer exist.
  * Drop d/watch.
    Upstream will no longer provide tarballs.
  * Drop references to contrib/, which is now a separate packages.
    - Update d/elpa & d/copyright.
    - Disable 10-shebang.patch.
    - No longer provide elpa-org-plus-contrib.

  [ Nicholas D Steeves ]
  * Drop emacs24 and emacs25 from Enhances (packages do not exist in
    bullseye).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 27 Dec 2021 12:23:33 -0700

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,12 @@
 
 Package: elpa-org
 Architecture: all
-Depends: ${elpa:Depends}, ${misc:Depends}, elpa-htmlize
-Recommends: emacs (>= 46.0)
+Depends: ${misc:Depends}, elpa-htmlize,
+ emacs (>= 1:28.2~)
 Suggests: org-mode-doc, ditaa, texlive-latex-extra, texlive-fonts-recommended, texinfo
-Enhances: emacs,
- emacs24,
- emacs25
+Enhances: emacs
 Breaks: org-mode (<< 9.0.9+dfsg-2)
-Provides: org-mode, elpa-org-plus-contrib
+Provides: org-mode
 Description: Keep notes, maintain ToDo lists, and do project planning in emacs
  Org-mode is a mode for keeping notes, maintaining ToDo lists, and
  doing project planning with a fast and effective plain-text system.
@@ -34,6 +32,9 @@
  BBDB entries, and any files related to the projects. For printing and
  sharing of notes, an Org-mode file can be exported as a structured
  ASCII file, HTML, and LaTeX.
+ .
+ This is currently a dependency package. The actual org-mode files are
+ supplied by emacs.
 
 Package: org-mode
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:

override_dh_auto_clean:

override_dh_auto_test:

override_dh_auto_install:

## org-mode 9.6.7+dfsg

=== debian/changelog ===
org-mode (9.6.7+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Nicholas D Steeves ]
  * New upstream release (Closes: #1033400).
  * Default to xprintidle for resolving idle time (Closes: #907495).
    + Add xprintidle to Suggests.
    + Add 0002-default-to-xprintidle.patch.
  * Add elpa-org-contrib to Recommends, because this was previously part of
    upstream Org mode (Closes: #923908).
  * Upload to unstable.

  [ David Bremner ]
  * Merge 9.5.2+dfsh-5 and undo dependency package conversion.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 08 Jul 2023 16:07:46 -0400

org-mode (9.6.6+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add elpa-org-drill to Recommends (Closes: #954052).  Org-drill was
    previously part of the upstream Org mode.
  * Add watch file.
  * Update copyright file, and group files according to copyright holder to
    make this file easier to maintain when comparing it with the output of
    "licensecheck --check '.*' --recursive --deb-machine --lines 0 -- *".
  * copyright: Drop unused GPL-2+ license.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 03 Jun 2023 19:29:52 -0400

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,14 @@
 
 Package: elpa-org
 Architecture: all
-Depends: ${misc:Depends}, elpa-htmlize,
- emacs (>= 1:28.2~)
-Suggests: org-mode-doc, ditaa, texlive-latex-extra, texlive-fonts-recommended, texinfo
+Depends: ${elpa:Depends}, ${misc:Depends}, elpa-htmlize
+Recommends: emacs (>= 46.0), elpa-org-drill, elpa-org-contrib
+Suggests: org-mode-doc
+        , ditaa
+	, texlive-latex-extra
+	, texlive-fonts-recommended
+	, texinfo
+	, xprintidle
 Enhances: emacs
 Breaks: org-mode (<< 9.0.9+dfsg-2)
 Provides: org-mode
@@ -32,9 +37,6 @@
  BBDB entries, and any files related to the projects. For printing and
  sharing of notes, an Org-mode file can be exported as a structured
  ASCII file, HTML, and LaTeX.
- .
- This is currently a dependency package. The actual org-mode files are
- supplied by emacs.
 
 Package: org-mode
 Architecture: all

## org-mode 9.6.10+dfsg

=== debian/changelog ===
org-mode (9.6.10+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Demote elpa-org-contrib from Recommends to Suggests, because in mid to
    late 2023 this is no longer as useful as it was when org-contrib had
    recently been split from org-mode.  Thanks to Bastien Guerry (upstream
    org-mode comaintainer) for this recommendation.
  * Drop version qualifier for Recommends: emacs, because even oldoldstable
    can fulfil this requirement.

 -- Nicholas D Steeves <sten@debian.org>  Sun, 08 Oct 2023 17:43:26 -0400

org-mode (9.6.9+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add this year to my copyright entry.

 -- Nicholas D Steeves <sten@debian.org>  Sat, 09 Sep 2023 16:18:49 -0400

org-mode (9.6.8+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Nicholas D Steeves <sten@debian.org>  Wed, 23 Aug 2023 20:18:09 -0400

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,10 @@
 Package: elpa-org
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}, elpa-htmlize
-Recommends: emacs (>= 46.0), elpa-org-drill, elpa-org-contrib
+Recommends: emacs, elpa-org-drill
 Suggests: org-mode-doc
         , ditaa
+	, elpa-org-contrib
 	, texlive-latex-extra
 	, texlive-fonts-recommended
 	, texinfo

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with elpa

override_dh_auto_build:
	emacs -Q --batch --chdir=lisp -L .                              \
                -l org-compat.el -l ../mk/org-fixup.el                  \
                --eval "(let ((v (replace-regexp-in-string              \
                                        \"\\\\+.+\\\\'\"                \
                                        \"\"                            \
                                        \"$(DEB_VERSION_UPSTREAM)\")))  \
				(org-make-org-version v v))"

override_dh_auto_clean:
	rm -f lisp/org-version.el

override_dh_auto_test:

override_dh_auto_install:
